package model

import (
	"time"
)

type TaCmsImages struct {
	ImageId           string    `xorm:"not null pk VARCHAR(64)"`
	LocationId        string    `xorm:"VARCHAR(64)"`
	ImageUrl          string    `xorm:"VARCHAR(128)"`
	ForwardType       string    `xorm:"comment('url：转跳链接，course：转跳课程') CHAR(32)"`
	ForwardUrl        string    `xorm:"VARCHAR(255)"`
	ForwardResourceId string    `xorm:"VARCHAR(64)"`
	Status            int       `xorm:"comment('是否发布 0是1否') SMALLINT(6)"`
	Sort              int       `xorm:"INT(11)"`
	CaseId            string    `xorm:"VARCHAR(64)"`
	OrgId             string    `xorm:"VARCHAR(64)"`
	CreateUser        string    `xorm:"VARCHAR(64)"`
	CreateDate        time.Time `xorm:"DATETIME"`
	Title             string    `xorm:"VARCHAR(50)"`
}
